com.r3corda.node.services.messaging / ArtemisMessagingServer

# ArtemisMessagingServer

`class ArtemisMessagingServer : ArtemisMessagingComponent`

This class configures and manages an Apache Artemis message queue broker.

Nodes communication is managed using an Artemis specific protocol, but it supports other protocols like AMQP/1.0 as well for interop.

The current implementation is skeletal and lacks features like security or firewall tunnelling (that is, you must be able to receive TCP connections in order to receive messages). It is good enough for local communication within a fully connected network, trusted network or on localhost.

### Constructors

<init> | `ArtemisMessagingServer(directory: Path, config: NodeConfiguration, myHostPort: <ERROR CLASS>, networkMapCache: NetworkMapCache)` This class configures and manages an Apache Artemis message queue broker.

### Properties

myHostPort | `val myHostPort: <ERROR CLASS>`
networkMapCache | `val networkMapCache: NetworkMapCache`

### Inherited Properties

config | `val config: NodeConfiguration`
directory | `val directory: Path`

### Functions

addConnector | `fun addConnector(hostAndPort: <ERROR CLASS>): <ERROR CLASS>`
bridgeExists | `fun bridgeExists(name: <ERROR CLASS>): <ERROR CLASS>`
bridgeToNetworkMapService | `fun bridgeToNetworkMapService(networkMapService: NodeInfo?): Unit`
connectorExists | `fun connectorExists(hostAndPort: <ERROR CLASS>): Boolean`
deployBridge | `fun deployBridge(hostAndPort: <ERROR CLASS>, name: <ERROR CLASS>): <ERROR CLASS>`
start | `fun start(): Unit`
stop | `fun stop(): Unit`

### Inherited Functions

configureWithDevSSLCertificate | `fun configureWithDevSSLCertificate(): Unit` Strictly for dev only automatically construct a server certificate/private key signed from the CA certs in Node resources. Then provision KeyStores into certificates folder under node path.
tcpTransport | `fun tcpTransport(direction: ConnectionDirection, host: String, port: Int): <ERROR CLASS>`
tryParseKeyFromQueueName | `fun tryParseKeyFromQueueName(queueName: <ERROR CLASS>): PublicKey?`

### Companion Object Properties

log | `val log: <ERROR CLASS>`